2

On my desktop Ubuntu 10.04 today some packages (ca-certificates, postgres, samba, ...) were updated automatically by the update-manager and something went wrong. The update finished with error messages.

And now it is not possible any more to install or uninstall anything. I tried to upgrade to Ubuntu 12.04 but this gives the same sort of errors.

These are the error message (in German) that are now preventing from any changes:

$ sudo apt-get upgrade  
Paketlisten werden gelesen... Fertig  
Abhängigkeitsbaum wird aufgebaut         
Status-Informationen einlesen... Fertig  
Die folgenden Pakete sind zurückgehalten worden:  
  google-chrome-stable  
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.  
8 nicht vollständig installiert oder entfernt.  
Nach dieser Operation werden 0B Plattenplatz zusätzlich benutzt.  
Möchten Sie fortfahren [J/n]? j  
Richte install-info ein (4.13a.dfsg.1-5ubuntu1) ...  
/var/lib/dpkg/info/install-info.postinst: 36: update-info-dir: Permission denied  
dpkg: Fehler beim Bearbeiten von install-info (--configure):  
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 126 zurück  
Richte ca-certificates-java ein (20110426ubuntu0.10.04.2) ...  
dpkg (Unterprozess): kann installiertes post-installation-Skript nicht ausführen: Keine Berechtigung  
dpkg: Fehler beim Bearbeiten von ca-certificates-java (--configure):  
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück  
Richte samba-common ein (2:3.4.7~dfsg-1ubuntu3.14) ...  
/var/lib/dpkg/info/samba-common.postinst: 122: ucf: Permission denied  
dpkg: Fehler beim Bearbeiten von samba-common (--configure):  
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 126 zurück  
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von samba-common-bin:  
 samba-common-bin hängt ab von samba-common (>= 2:3.4.0~pre1-2); aber:  
  Paket samba-common ist noch nicht konfiguriert.  
dpkg: Fehler beim Bearbeiten von samba-common-bin (--configure):  
 Abhängigkeitsprobleme - lasse es unkonfiguriert  
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von samba:  
 samba hängt ab von samba-common (= 2:3.4.7~dfsg-1ubuntu3.14); aber:  
  Paket samba-common ist noch nicht konfiguriert.  
 samba hängt ab von samba-common-bin; aber:  
  Paket samba-common-bin ist noch nicht konfiguriert.  
dpkg: Fehler beim Bearbeiten von samba (--configure):  
 Abhängigkeitsprobleme - lasse es unkonfiguriert  
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von smbclient:  
 smbclient hängt ab von samba-common (= 2:3.4.7~dfsg-1ubuntu3.14); aber:  
  Paket samba-common ist noch nicht konfiguriert.  
dpkg: Fehler beim Bearbeiten von smbclient (--configure):  
 Abhängigkeitsprobleme - lasse es unkonfiguriert  
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von smbfs:  
 smbfs hängt ab von samba-common (= 2:3.4.7~dfsg-1ubuntu3.14); aber:  
  Paket samba-common ist noch nicht konfiguriert.  
dpkg: Fehler beim Bearbeiten von smbfs (--configure):  
 Abhängigkeitsprobleme - lasse es unkonfiguriert  
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von winbind:  
 winbind hängt ab von samba-common (= 2:3.4.7~dfsg-1ubuntu3.14); aber:  
  Paket samba-common ist noch nicht konfiguriert.  
dpkg: Fehler beim Bearbeiten von winbind (--configure):  
 Abhängigkeitsprobleme - lasse es unkonfiguriert  
Fehler traten auf beim Bearbeiten von:  
 install-info  
 ca-certificates-java  
 samba-common  
 samba-common-bin  
 samba  
 smbclient  
 smbfs  
 winbind  
E: Sub-process /usr/bin/dpkg returned an error code (1)

I tried to find the files that lead to the "permission denied" (="Keine Berechtigung") error, but I just don't get it. For example executing one one of the post install scripts that cannot be executed manually gives "permission denied"

$ sudo /var/lib/dpkg/info/ca-certificates-java.postinst --configure  
 sudo: unable to execute /var/lib/dpkg/info/ca-certificates-java.postinst: Keine Berechtigung  

but I cannot see why, the permissions seem OK to me:

$ ls -l /var/lib/dpkg/info/ca-certificates-java.postinst  
-rwxr-xr-x 1 root root 1759 2014-03-05 17:07 /var/lib/dpkg/info/ca-certificates-java.postinst  

Can anybody give me a hint what I should do to get rid of these errors and get my working system back?

  • you are decreasing the chances of your question being answered by giving output in german. There are not many people who know german here, can you post english output instead? – Registered User Apr 4 '14 at 6:15
0

I can advise on some debugging.

All of the postinst scripts are shell scripts, so you can look at them with a text editor and figure out what they do.

For example, less /var/lib/dpkg/info/install-info.postinst shows that the script is running the command update-info-dir which will look at /usr/share/info/. Check your file permissions there.

/var/lib/dpkg/info/ca-certificates-java.postinst is in turn trying to update the java keystore located in /etc/ssl/certs/java/cacerts. Please test if you can list the certificates in the keystore by running

keytool -list -v -keystore /etc/ssl/certs/java/cacerts

The default password is 'changeit'.

0

Thank you for the hints.

By examining the scripts that were returning the "permission denied" error I found that all of them had a bash shebang.

And voilà: for some odd reason /bin/bash had no execution permissions set. After a sudo chmod 755 /bin/bash all scripts were executed and everything worked again.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.